View Issue Details

IDProjectCategoryView StatusLast Update
0004972SOGoApple iPhone OSpublic2020-03-13 22:59
Reporteradrw Assigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status newResolutionopen 
PlatformAppleOSiOSOS Version13
Product Version4.3.0 
Summary0004972: When CalDAV client adds an invitee to an event, the event is mangled and no invite email is sent
Description

Though adding invites to an event in the Web UI work excellently, when using a CalDAV client the event is mangled and no invites are sent.

Steps To Reproduce
  • Create an event that has no invites
  • From a CalDAV client, add an invitee's email address
  • See in Web UI that the event has been changed to add the invite to the attendees list, but no email is sent
  • See also in Web UI that the event owner has been changed from the original calendar owner to null, and that the original calendar owner is added to the attendees list
  • The event now is uneditable by the original calendar owner and in an unusable state
Tagsattendee, CalDAV, invite

Relationships

related to 0004955 resolvedfrancis Mac OS Catalina Calendar app crashes when adding an attendee to an appointment 

Activities

adrw

adrw

2020-02-25 12:03

reporter  

sogo-2.png (186,764 bytes)   
sogo-2.png (186,764 bytes)   
sogo-1.png (142,861 bytes)   
sogo-1.png (142,861 bytes)   
francis

francis

2020-02-27 09:54

administrator   ~0014189

Share the raw source of the event (vCalendar) before adding an attendee and after adding an attendee.

adrw

adrw

2020-02-27 10:02

reporter   ~0014190

Thanks for your response!

Included are examples (from two CalDAV clients) of the event before adding and after adding an attendee.

Apple Calendar on macOS Catalina
Before

BEGIN:VCALENDAR
PRODID:-//Apple Inc.//Mac OS X 10.15.3//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:America/Toronto
BEGIN:DAYLIGHT
TZOFFSETFROM:-0500
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=2SU
DTSTART:20070311T020000
TZNAME:EDT
TZOFFSETTO:-0400
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:-0400
RRULE:FREQ=YEARLY;BYMONTH=11;BYDAY=1SU
DTSTART:20071104T020000
TZNAME:EST
TZOFFSETTO:-0500
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20200227T145832Z
UID:5C7B31BA-459A-4F41-B9D2-96513D6280CB
DTEND;TZID=America/Toronto:20200227T113000
TRANSP:OPAQUE
X-APPLE-TRAVEL-ADVISORY-BEHAVIOR:AUTOMATIC
SUMMARY:Broken Event
LAST-MODIFIED:20200227T145841Z
DTSTAMP:20200227T145840Z
DTSTART;TZID=America/Toronto:20200227T110000
SEQUENCE:1
CLASS:PUBLIC
END:VEVENT
END:VCALENDAR

After

BEGIN:VCALENDAR
PRODID:-//Apple Inc.//Mac OS X 10.15.3//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:America/Toronto
BEGIN:DAYLIGHT
TZOFFSETFROM:-0500
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=2SU
DTSTART:20070311T020000
TZNAME:EDT
TZOFFSETTO:-0400
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:-0400
RRULE:FREQ=YEARLY;BYMONTH=11;BYDAY=1SU
DTSTART:20071104T020000
TZNAME:EST
TZOFFSETTO:-0500
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
TRANSP:OPAQUE
DTEND;TZID=America/Toronto:20200227T113000
DTSTART;TZID=America/Toronto:20200227T110000
UID:5C7B31BA-459A-4F41-B9D2-96513D6280CB
DTSTAMP:20200227T145840Z
SEQUENCE:1
X-APPLE-TRAVEL-ADVISORY-BEHAVIOR:AUTOMATIC
SUMMARY:Broken Event
LAST-MODIFIED:20200227T145937Z
CREATED:20200227T145832Z
ATTENDEE;PARTSTAT=NEEDS-ACTION;CUTYPE=INDIVIDUAL;EMAIL=adrwxyz@gmail.com:ma
 ilto:adrwxyz@gmail.com
ATTENDEE;ROLE=CHAIR;EMAIL=andrew@alexanders.xyz;PARTSTAT=ACCEPTED;CN=andrew
 @alexanders.xyz;CUTYPE=INDIVIDUAL:mailto:andrew@alexanders.xyz
CLASS:PUBLIC
ORGANIZER;:mailto:(null)
END:VEVENT
END:VCALENDAR

Fantastical 3 on macOS Catalina
Before

BEGIN:VCALENDAR
PRODID:-//Flexibits Inc./Fantastical for Mac 3.0.5//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:America/Toronto
X-LIC-LOCATION:America/Toronto
BEGIN:DAYLIGHT
TZNAME:EDT
RRULE:FREQ=YEARLY;UNTIL=20060402T070000Z;BYMONTH=4;BYDAY=1SU
DTSTART:20000402T020000
TZOFFSETFROM:-0500
TZOFFSETTO:-0400
END:DAYLIGHT
BEGIN:DAYLIGHT
TZNAME:EDT
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=2SU
DTSTART:20070311T020000
TZOFFSETFROM:-0500
TZOFFSETTO:-0400
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:EST
RRULE:FREQ=YEARLY;UNTIL=20061029T060000Z;BYMONTH=10;BYDAY=-1SU
DTSTART:20001029T020000
TZOFFSETFROM:-0400
TZOFFSETTO:-0500
END:STANDARD
BEGIN:STANDARD
TZNAME:EST
RRULE:FREQ=YEARLY;BYMONTH=11;BYDAY=1SU
DTSTART:20071104T020000
TZOFFSETFROM:-0400
TZOFFSETTO:-0500
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
DTSTAMP:20200227T040640Z
UID:38D883D4-5899-415D-B9C6-D3E85566BA35
DTEND;TZID=America/Toronto:20200227T103000
TRANSP:OPAQUE
SUMMARY:Broken Event
CREATED:20200227T040640Z
DTSTART;TZID=America/Toronto:20200227T100000
SEQUENCE:0
X-APPLE-TRAVEL-ADVISORY-BEHAVIOR:AUTOMATIC
CLASS:PUBLIC
END:VEVENT
END:VCALENDAR

After

BEGIN:VCALENDAR
PRODID:-//Flexibits Inc./Fantastical for Mac 3.0.5//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:America/Toronto
X-LIC-LOCATION:America/Toronto
BEGIN:DAYLIGHT
TZNAME:EDT
RRULE:FREQ=YEARLY;UNTIL=20060402T070000Z;BYMONTH=4;BYDAY=1SU
DTSTART:20000402T020000
TZOFFSETFROM:-0500
TZOFFSETTO:-0400
END:DAYLIGHT
BEGIN:DAYLIGHT
TZNAME:EDT
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=2SU
DTSTART:20070311T020000
TZOFFSETFROM:-0500
TZOFFSETTO:-0400
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:EST
RRULE:FREQ=YEARLY;UNTIL=20061029T060000Z;BYMONTH=10;BYDAY=-1SU
DTSTART:20001029T020000
TZOFFSETFROM:-0400
TZOFFSETTO:-0500
END:STANDARD
BEGIN:STANDARD
TZNAME:EST
RRULE:FREQ=YEARLY;BYMONTH=11;BYDAY=1SU
DTSTART:20071104T020000
TZOFFSETFROM:-0400
TZOFFSETTO:-0500
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
DTSTAMP:20200227T145748Z
UID:38D883D4-5899-415D-B9C6-D3E85566BA35
DTEND;TZID=America/Toronto:20200227T103000
TRANSP:OPAQUE
SUMMARY:Broken Event
CREATED:20200227T040640Z
DTSTART;TZID=America/Toronto:20200227T100000
SEQUENCE:1
X-APPLE-TRAVEL-ADVISORY-BEHAVIOR:AUTOMATIC
LAST-MODIFIED:20200227T145748Z
ATTENDEE;PARTSTAT=ACCEPTED;CN=andrew@alexanders.xyz;CUTYPE=INDIVIDUAL:mailt
 o:andrew@alexanders.xyz
ATTENDEE;PARTSTAT=NEEDS-ACTION;CUTYPE=INDIVIDUAL;EMAIL=adrwxyz@gmail.com:ma
 ilto:adrwxyz@gmail.com
CLASS:PUBLIC
ORGANIZER;:mailto:(null)
END:VEVENT
END:VCALENDAR
francis

francis

2020-03-06 13:52

administrator   ~0014205

Does the issue happen only with macOS 10.15 or with iOS 13 also?

adrw

adrw

2020-03-06 14:22

reporter   ~0014207

The same broken functionality happens with both iOS and macOS CalDAV clients. I could try and test other OS or web based CalDAV clients to confirm it happens with all CalDAV clients.

adrw

adrw

2020-03-13 22:59

reporter   ~0014218

This error seemed to be on our deployment of SOGo and has now been fixed, thanks for looking into it! https://forum.cloudron.io/topic/1619/sogo-calendar-don-t-send-invites/11?_=1584154565781

Issue History

Date Modified Username Field Change
2020-02-25 12:03 adrw New Issue
2020-02-25 12:03 adrw Tag Attached: attendee
2020-02-25 12:03 adrw Tag Attached: CalDAV
2020-02-25 12:03 adrw Tag Attached: invite
2020-02-25 12:03 adrw File Added: sogo-2.png
2020-02-25 12:03 adrw File Added: sogo-1.png
2020-02-27 09:54 francis Note Added: 0014189
2020-02-27 10:02 adrw Note Added: 0014190
2020-03-06 13:52 francis Note Added: 0014205
2020-03-06 14:22 adrw Note Added: 0014207
2020-03-10 12:22 Christian Mack Relationship added related to 0004955
2020-03-13 22:59 adrw Note Added: 0014218